<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CLARIN Metadata Repository/Service/Browser</title>
<link rel="stylesheet" href="style/jquery/clarindotblue/jquery-ui-1.8.5.custom.css" type="text/css" />
<link href="style/jquery/jquery-treeview/jquery.treeview.css" rel="stylesheet" />
<link href="style/jquery/jquery-textboxlist/TextboxList.css" rel="stylesheet" type="text/css" />
<link href="style/jquery/jquery-autocomplete/jquery.autocomplete.css" rel="stylesheet" type="text/css" />
<link href="style/jquery/treetable/jquery.treeTable.css" rel="stylesheet" type="text/css" />
<link href="style/jquery/jquery-layout/layout-default-latest.css" rel="stylesheet" type="text/css" />
<link href="style/cmds-ui.css" type="text/css" rel="stylesheet" /> 


<script src="scripts/jquery/js/jquery-1.4.2.js" type="text/javascript"></script>
<script src="scripts/jquery/js/jquery-ui-1.8.5.custom.min.js" type="text/javascript"></script>

<script src="scripts/jquery/jquery-textboxlist/GrowingInput.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-treeview/jquery.treeview.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-treeTable/jquery.treeTable.js" type="text/javascript"></script>

<script src="scripts/jquery/jsTree.v.1.0rc2/jquery.jstree.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-autocomplete/jquery.autocomplete.js" type="text/javascript"></script>
<script src="scripts/jquery/jquery-layout/jquery.layout-1.3.0.rc29.12.js" type="text/javascript"></script>
<script src="scripts/mdservice_ui_settings.js" type="text/javascript"></script>

<script src="scripts/mdservice_helpers.js" type="text/javascript"></script>
<script src="scripts/mdservice_ui_helpers.js" type="text/javascript"></script>
<script src="scripts/mdservice_widgets.js" type="text/javascript"></script>
<script src="scripts/mdservice_searchclause.js" type="text/javascript"></script>
<script src="scripts/mdservice_model.js" type="text/javascript"></script>
<script src="scripts/mdservice_pz2.js" type="text/javascript"></script>
<script src="scripts/mdservice_ui_detail.js" type="text/javascript"></script>
<script src="scripts/mdservice_ui_load.js" type="text/javascript"></script>
<script src="scripts/mdservice_ui.js" type="text/javascript"></script>
</head>

<body>

<!--  - BLOCK -->
<div class="cmds-ui-block" id="titlelogin">
	<div id="logo"><a href="http://www.clarin.eu" ><img src="style/imgs/clarin-logo.png" alt="CLARIN"></img></a> <div id="site-name" >Metadata Browser</div>
	</div>
	
	<div id="top-menu">
			<div id="user">
					<% if ( request.getRemoteUser() == null) {  %> 
					<a href="workspace.jsp" >    login</a>
					<% } else {  %> 
					User: <b><%= request.getRemoteUser() %></b><a href="logout.jsp" >    logout</a> 
					<% }%>
						
						<!-- class="open-in-context"  -->									
					<a target="_blank" href="docs/htmlpage/info" > docs</a>
			</div>
			<div id="notify" class="cmds-elem-plus note" >
				<div id="notifylist" class="note"> <!--  class="cmds-elem-plus note" > -->
				</div>
			</div> 
	</div>
</div>
<!-- --------------------- -->

<!-- QUERYSEARCH - BLOCK -->	 
<div class="cmds-ui-block init-show"  id="querysearch" >
	 	<div class="header ui-widget-header ui-state-default ui-corner-top" ><span>Querysearch</span></div>
	 	<div class="content" id="query-input" >   	
			 <s:form action="searchretrieve">							
				<input type="text" id="input-simplequery" name="_query"/>
				<input type="submit"  value="submit" id="submit-query"/>
				
				<div> 
					<table class="cmds-ui-elem-stretch ui-advanced">
					<tr>
					<td valign="top">
						<div id="repositories" >		
								<label>Repository</label> <select id="repositories_select" ></select>								
						</div>
							<!--  selected collections  -->
							<!-- <label>Collections</label><br/>-->
				        	<div id="collections-widget" class="c-widget"></div>
					    	
					</td>
					<td valign="top">
						<label>Complex query</label><span name='detail_index' class='cmd cmd_detail'></span><br/>
						<div id="searchclauselist"></div>							
						<!--<input type="checkbox" checked="false" id="input-withsummary" name="WS"/><label>with Summary</label> 
						 -->
					</td>
					</tr>					       
				        	<!-- TERMS BLOCK -->
						<!--		<div class="cmds-ui-block" id="terms-block">
									<div class="header">Terms</div>	
									<div id="terms" class="content">
										<div id="model_profiles"></div>
										<div id="model_terms"></div>
									</div>
									<div id="terms_autocomplete"></div>
								</div>    
							
							  	<label>columns</label><br/>
				        	<div id="columns-widget" class="c-widget"></div>	
				      -->
											        
					</table>	
				</div>
			</s:form>
		</div>
</div>  	
	
	<!-- all COLLECTIONS BLOCK -->
							<div class="cmds-ui-block" id="collections-block">
									<!--   <div class="header">Collections</div> -->
									<div id="collections" class="content"></div>
							</div>
							<!-- ------------------------------------- -->
	
			
			
<!-- QUERYLIST BLOCK -->
<div id="querylistblock" class="cmds-ui-block">
<div class="header ui-widget-header ui-state-default ui-corner-top" ><span>QUERYLIST</span></div>
<div class="content"  id="querylist">
</div>
</div>
	
<div id="detailblock" class="cmds-ui-block">
<div class="header ui-widget-header ui-state-default ui-corner-top" ><span>DETAIL</span></div>
<div class="content" id="details"></div>
</div>

<div id="public-space" class="cmds-ui-block">
		<div class="header"><span>Public Space</span></div>

		<div id="serverqs" class="content" >
		</div>	
</div>

<div class="cmds-ui-block init-show" id="user-space">
	<div class="header" ><span>Personal Workspace</span></div>	
	<div id="userqs" class="content">
			<div id="userquerysets" >		
				<label>Querysets</label><select id="qts_select" ></select>
				<!--  <button id="qts_add" class="cmd cmd_add" >Add</button> -->
				<span id="qts_add" class="cmd cmd_add" ></span> 
				<span id="qts_delete" class="cmd cmd_del" ></span>
			</div>
			
			<label>name</label>
			<input type="text" id="qts_input" ></input>
			<span id="qts_save" class="cmd cmd_save" ></span>
			<div id="userqueries" ></div>
	</div>
	<div id="userbs" class="content">
			<div id="bookmarksets" >		
				<label>Bookmarksets</label><select id="bts_select" ></select>
				<span id="bts_add" class="cmd cmd_add" ></span> 
				<span id="bts_delete" class="cmd cmd_del" ></span>
				<span id="bts_publish" class="cmd cmd_publish" ></span>
			</div>
			
			<label>name</label>
			<input type="text" id="bts_input" ></input>
			<span id="bts_save" class="cmd cmd_save" ></span>
			<div id="bookmarks" ></div>
	</div>	
</div>

<div id="detail-float">	 
</div>
<div id="detail-floating">	 
</div>
	
<div id="terms_autocomplete"></div>


</body>

</html>